#include "od_error.h"

void
Error( int ErrorLevel, int Line, char * File )
{
    switch( ErrorLevel )
    {
        case HELP:   od_printf( USAGE );
                     break;
    
        case OPEN:   od_printf( "ERROR (%d): Cannot open: %s\n\r",
                                Line, File );
                     break;
    
        case CLOSE:  od_printf( "ERROR (%d): Cannot close %s\n\r",
                                Line, File );
                     break;
    
        case READ:   od_printf( "ERROR (%d): Cannot read %s\n\r",
                                Line, File );
                     break;
   
        case WRITE:  od_printf( "ERROR (%d): Cannot write %s\n\r",
                                Line, File );
                     break;
 
        case SEEK:   od_printf( "ERROR (%d): Seek error in %s\n\r",
                                Line, File );
                     break;

        case MEM:    od_printf( "ERROR (%d): Cannot allocate memory\n\r",
                                Line );
                     break;

        default:     od_printf( "ERROR (%d): Invalid instruction\n\r",
                                Line );
    }
}
